Subject: Re: gcc/g77/gcj 2.95.2 for cygwin CD 1.0?
From: Steve Jorgensen <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Nov 1999 14:46:09 -0700 (MST)

Ok, I've got everything required, and followed the directions
	below, and very shortly into the build (running make), I get the
	following error..

make[1]: Entering directory `/tmp/gcc-2.95.2-build/gcc'
cd /usr/local/src/gcc/src/gcc-2.95.2/gcc && autoheader
autoheader: not found
make[1]: *** [/usr/local/src/gcc/src/gcc-2.95.2/gcc/cstamp-h.in] Error 127
make[1]: Leaving directory `/tmp/gcc-2.95.2-build/gcc'
make: *** [all-gcc] Error 2

	I've looked everwhere I can think of, and haven't been able to find
	autoheader..  Am I missing something?

> My recommendation:
>  
> - get the gcc-2.95.2 source distro
> - get x86-win32 patches from my site:
>   ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/gcc-2.95.2/patches/
> - build it:
>     
>     $ cd ~/src
>     $ tar zxf /tmp/gcc-2.95.2.tar.gz
>     $ cd gcc-2.95.2
>     $ patch -p1 -s < /tmp/gcc-2.95.2-x86-win32.diff
>   
>   The file gcc-2.95.2-x86-win32.diff is included in my patchset. 
>     
>     $ mkdir /tmp/gcc-2.95.2-build
>     $ cd /tmp/gcc-2.95.2-build
>     $ ~/src/gcc-2.95.2/configure --prefix=/usr/local/gcc-2.95.2 \
>       --enable-languages=c,c++,f77,objc,java \
>       i686-cygwin
>   
>   Of course, you may want a different prefix, or the default (/usr/local).

>     $ make 
>     $ make install

> This should work in theory, but I have no way to tell.

> Regards,
> Mumit

> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]